### File

`modules/session-flow/src/structures/visited-route.ts`

### Constructor

`constructor()`

### Methods

getStartTimeString
`getStartTimeString()`
Returns: `void`

getEndTimeString
`getEndTimeString()`
Returns: `void`

calcDuration
`calcDuration()`
Returns: `void`

getStringObject
`getStringObject()`
Returns: `void`

### Properties

duration
`duration: `number` </bcode>`

route
`route: `string` </bcode>`

timeEnd
`timeEnd: `Date` </bcode>`

timeStart
`timeStart: `Date` </bcode>`

    export class VisitedRoute {
      route: string;
      timeStart: Date;
      timeEnd: Date;
      duration: number;

      constructor() {
      }

      getStartTimeString(){
        return this.timeStart.toISOString();
      }

      getEndTimeString(){
        return this.timeEnd.toISOString();
      }

      calcDuration(){
        this.duration = Math.abs(this.timeEnd.getTime() - this.timeStart.getTime());
      }

      getStringObject(){
        let visitedRouteObject = {};
        visitedRouteObject['route'] = this.route;
        visitedRouteObject['timeStart'] = this.timeStart.toISOString();
        visitedRouteObject['timeEnd'] = this.timeEnd.toISOString();
        visitedRouteObject['duration'] = this.duration;
        return visitedRouteObject;
      }

    }

# results matching ""

# No results matching ""